from tkinter import *

#สร้างหน้าต่างโปรแกรม
root = Tk()

def showName() :
    lblShow.config(text = "Your Name is " + name.get()+ " " + lastname.get())

def reset() :
    name.set("")
    lastname.set("")
    lblShow.config(text = "")
    eName.focus()

#สร้างเลเบลแสดงข้อความ
lblName = Label(root, text = "Name : ", font = 16, fg = "blue")
lblName.grid(row = 0, column = 0)
#สร้างช่อง Text Entry รับข้อความ
name = StringVar()
eName = Entry(root, textvariable = name, font = 16, fg = "blue", justify = "center")
eName.grid(row = 0, column = 1)
eName.focus()

#สร้างเลเบลแสดงข้อความ
lblLast = Label(root, text = "Lastname : ", font = 16, fg = "blue")
lblLast.grid(row = 1, column = 0)
#สร้างช่อง Text Entry รับข้อความ
lastname = StringVar()
eLast = Entry(root, textvariable = lastname, font = 16, fg = "blue", justify = "center")
eLast.grid(row = 1, column = 1)

#สร้างปุ่ม Show
btnShow = Button(root, text = "SHOW", relief = GROOVE, underline = 1, command = showName)
btnShow.grid(row = 2, column = 0)  #วางตรงกลางหน้าจอ

#สร้างปุ่ม Reset
btnReset = Button(root, text = "RESET", relief = GROOVE, underline = 1, command = reset)
btnReset.grid(row = 2, column = 1)  #วางตรงกลางหน้าจอ

#สร้างเลเบลแสดงข้อความ
lblShow = Label(root, font = 16, fg = "blue")
lblShow.grid(row = 3, columnspan = 2)






